From 396ee10c3b86f8722f113b35857d4a57331ee19c Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: May 02 2019 14:06:41 +0000
Subject: [PATCH 3/7] Project wide flake8 fixes


Signed-off-by: Pierre-Yves Chibon <pingou@pingoured.fr>

---

diff --git a/fedora_elections/__init__.py b/fedora_elections/__init__.py
index 00ff7fa..030f76f 100644
--- a/fedora_elections/__init__.py
+++ b/fedora_elections/__init__.py
@@ -214,13 +214,14 @@ def set_session():  # pragma: no-cover
     flask.session.permanent = True
 
     if OIDC.user_loggedin:
-        if not hasattr(flask.session, 'fas_user') or not flask.session.fas_user:
+        if not hasattr(flask.session, 'fas_user') \
+                or not flask.session.fas_user:
             flask.session.fas_user = munch.Munch({
                 'username': OIDC.user_getfield('nickname'),
                 'email': OIDC.user_getfield('email') or '',
                 'timezone': OIDC.user_getfield('zoneinfo'),
-                'cla_done': \
-                    'http://admin.fedoraproject.org/accounts/cla/done' \
+                'cla_done':
+                    'http://admin.fedoraproject.org/accounts/cla/done'
                     in (OIDC.user_getfield('cla') or []),
             })
         flask.g.fas_user = flask.session.fas_user
diff --git a/fedora_elections/fedmsgshim.py b/fedora_elections/fedmsgshim.py
index 0336d16..51bba88 100644
--- a/fedora_elections/fedmsgshim.py
+++ b/fedora_elections/fedmsgshim.py
@@ -6,7 +6,6 @@
 """
 from __future__ import unicode_literals, absolute_import
 
-import warnings
 import logging
 
 import fedora_messaging.api
diff --git a/fedora_elections/utils.py b/fedora_elections/utils.py
index c90460a..0d50999 100644
--- a/fedora_elections/utils.py
+++ b/fedora_elections/utils.py
@@ -1,8 +1,6 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals, absolute_import
 
-import fedora_elections
-
 
 def build_name_map(election):
     """ Returns a mapping of candidate ids to fas human_names. """

